<template>
<section>
    <flash-message transitionIn="animated swing" class="myCustomClass"></flash-message>
	<div v-for="(ride,index) in open">
		<div class="row rides-list">

				<div class="col-md-3">
					<h4 class="title">Driver</h4>
						<div class="profile-pic-sm" style="text-align: center;">
							<img :src="ride.user.avatar" 
								 alt="profile_image" class="img-circle"><br />	
							<p align="center">{{  ride.user.first_name }} {{  ride.user.last_name }}</p>
							<a :href="'/rides/viewUserProfile/'+ ride.user_id"
							class="btn btn-info x-slim-button">View Profile</a>
						</div>
				</div>

				<div class="col-md-7">
					<h4 class="title">Trip</h4>

                    <p class="add-id">
                        <i class="fa fa-map-marker margin-right-15"></i>
                        <strong>  From:</strong> {{ ride.location_from }} 
                        <br />
                        <i class="fa fa-map-marker margin-right-15"></i>
                        <strong>  To:</strong> {{ ride.location_to }} 
                        <br />
                        <i class="fa fa-calendar margin-right-15"></i>
                        <strong>  Dates:</strong> From: {{ ride.open_date_from | formatDate }} 
                        to {{ ride.open_date_to | formatDate }}
                        <br />
                        <i class="fa fa-clock-o margin-right-15"></i>
                        <strong>  Times: </strong> <label  v-for="hour in ride.hours"class="badge badge-success"> {{  hour.hour | formatTime }}</label> 
                        <br />
						<div v-if="ride.trip_purpose">
							<strong >Purpose of Trip:</strong> {{ ride.trip_purpose.type }}
						</div>

                        <br />
                        <span class="add-in no-mobile margin-right-15">
                            <i class="fa fa-map-o"></i><strong>  Description: </strong> {{ ride.description }}
                        </span>
                    </p> 
				</div>

				<div class="col-md-2">
					<h4 class="title">Actions</h4>

						<span v-if="ride.active == true"> Active </span>
						<span v-else> Inactive </span> 
						<toggle-button v-model="ride.active" @change="changeStatus(ride.id)" />
					   <br />
					<a class="btn btn-grey" v-on:click="navigate(ride)">
                        <i class="fa fa-pencil margin-right-15"></i>Edit</a>
					<!-- <a class="btn btn-danger" style='display:inline;'
					 onclick="return confirm('Are you sure you want to delete the ride?')"
					 v-on:click="deleteRide(ride.id,index)">Delete</a> -->

				</div>
		</div>
	</div>
</section>
</template>

<script>
	import { ToggleButton } from 'vue-js-toggle-button'

    export default {
    	name:"openrides",
    	props:['open'],
    	components:{ToggleButton},
    	mounted(){
    		console.log(this.open);
    	},
    	data(){
    		return{
    			message:'',
    			alert:'',
                status:'',
    		}
    	},
    	methods:{
    		deleteRide:function(id,index){
    			console.log(index);
    			
    			axios.delete('/rides/open-rides/destroy/' + id , {
                    body: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                    }
                }).then(response => {
                	this.flash(response.data['message'], response.data['status'],{timeout: 3000});
                    this.rides.splice(index, 1);

                }).catch(e => {
                    this.flash('Server 500 error please try again', 'error',{timeout: 3000});
                })
    		},

    		changeStatus:function(id){
    			axios.post('/rides/openRide/status/' + id, {
                    body: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),

                    }
                }).then(response => {
                	this.flash(response.data['message'], response.data['status'],{timeout: 3000});

                }).catch(e => {
                    this.flash('Server 500 error please try again', 'error',{timeout: 3000});
                    console.log(e);
                })
    		},
    		hideAlert:function(){
    			this.message = null;
    		},
    		navigate(ride) {
                this.$router.push({ name: 'EditOpenRide', params: { 'ride': ride} })
            },
    	},
    }

</script>